summaryrefslogtreecommitdiffstats
path: root/crxmake
diff options
context:
space:
mode:
Diffstat (limited to 'crxmake')
-rwxr-xr-x[-rw-r--r--]crxmake9
1 files changed, 4 insertions, 5 deletions
diff --git a/crxmake b/crxmake
index 7f14bee..11022b5 100644..100755
--- a/crxmake
+++ b/crxmake
@@ -1,9 +1,8 @@
-# Purpose: Pack a Chromium extension directory into crx format
+#! /bin/sh
+# Pack a Chromium extension directory into CRX3 format
+# usage: crxmake EXTENSION_DIR KEY_FILE
-if test $# -ne 2; then
- echo "Usage: crxmake.sh <extension dir> <pem path>"
- exit 1
-fi
+set -efu
dir=$1
key=$2